<?php
#----------------------------------------------------------#
# 試合登録
#----------------------------------------------------------#
function team_gameR(){
global$disp,$Q,$SET;

refresh_time();#更新
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 公式戦
#--------------------------------------#
$TIME=read_data('time','time');
#リーグ
	#対戦可能リスト呼び出し
	$D[GAME_LIST]=array();
	$sql=mysql_query("SELECT * FROM player");
	while($OL=mysql_fetch_assoc($sql)){
		if($PL[20]==$OL[20]&&$_COOKIE[id]!=$OL[id]&&$OL[7]==1){
			$D[GAME_LIST][$OL[id]]=0;
		}
	}
	if($D[GAME_LIST]){
		#試合リスト呼び出し
		$TM_GT=explode('!',$TM[1]);
		#対戦数集計
		foreach($TM_GT as $time){
			$GM=read_data('game',$time);
			if($GM[pid]==$_COOKIE[id]){
				$D[GAME_LIST][$GM[oid]]++;
			}elseif($GM[oid]==$_COOKIE[id]){
				$D[GAME_LIST][$GM[pid]]++;
			}
		}
		#対戦数でソート
		asort($D[GAME_LIST],SORT_NUMERIC);
		#数カウントして最大試合数計算
		if(count($D[GAME_LIST])>0){
			$D[gm_max]=$SET[gm_num_max]/count($D[GAME_LIST]);
		}else{
			$D[gm_max]=0;
		}
		#対戦相手決定
		foreach($D[GAME_LIST] as $id => $val){
			$OL=read_data('player',$id);
			$OTM=read_data('team',$id);
			if($PL[20]==$OL[20]&&$OL[7]&&$OTM[2]<$TIME[num]&&$D[gm_max]>$val){
				$ol_id=$id;
				break;
			}
		}
	}
	#予定表示
	if(data_check('player','id',$ol_id)&&$ol_id){
		$OL=read_data('player',$ol_id);
		$OTM=read_data('team',$ol_id);
		$html_flag_url=icon_url($OL[5]);
		$html_icon_url=icon_url($OL[6]);
		#表示
		$html_gmnext="次の対戦予定チーム\n<table>";
		$html_gmnext.="<tr><th colspan=3>名前</th><th>勝率</th><th>試合</th><th>勝</th><th>敗</th><th>分</th><th>得点</th><th>失点</th><th>得失差</th></tr>\n";
		$html_gmnext.="<tr style='text-align:center;'><td>$OL[1]</td><td><img src='$html_flag_url' height=16 title='$OL[1]'></td><td><img src='$html_icon_url' height=16 title='$OL[0]'></td><td>".AVE(($OTM[2]-$OTM[5]),$OTM[3])."</td><td>$OTM[2]</td><td>$OTM[3]</td><td>$OTM[4]</td><td>$OTM[5]</td><td>$OTM[6]</td><td>$OTM[7]</td><td>".($OTM[6]-$OTM[7])."</td></tr>\n";
		$html_gmnext.="</table>\n";
	}else{
		$html_gmnext="対戦予定はありません";
	}
	#時間
	if($TIME[num]>=$SET[gm_num_max]){
		$html_gmtime="次リーグまであと".html_time(($SET[gm_vac]-(time()-$TIME[time])),3)."くらいです";
	}else{
		$html_gmtime="次の試合まであと".html_time(($SET[gm_itv]-(time()-$TIME[time])),3)."くらいです";
	}
	#ボタン表示
	if($TM[2]>=$TIME[num]){
		$html_gmbt=$html_gmtime;
	}else{
		if(($TM[0]+$SET[gm_itv_p])>time()){
			$html_gmbt="あと".html_time(($TM[0]+$SET[gm_itv_p]-time()),3)."くらいお待ちください<br>".$html_gmtime;
		}elseif(!$PL[7]){
			$html_gmbt="<a href='$SET[path_index]?r=team_reg'>試合登録</a>を済ませてください";
		}elseif(!data_check('player','id',$ol_id)){
			$html_gmbt="対戦する相手がいません<br>".$html_gmtime;
		}else{
			$html_gmbt="<input type=submit value='試合開始'><br>".$html_gmtime;
		}
	}
#--------------------------------------#
# 練習試合
#--------------------------------------#
$sql=mysql_query("SELECT * FROM player");
while($OL=mysql_fetch_assoc($sql)){
	$OTM=mysql_fetch_assoc(mysql_query("SELECT * FROM team WHERE id='$OL[id]'"));
	if($OL[7]){
		$html_gmpract.="<option value='$OL[id]'>$OL[1]($OL[0])";
	}
}
#$html_gmpract.="<option value='1!'>1部リーグランダム";
#$html_gmpract.="<option value='2!'>2部リーグランダム";
$html_gmpract.="<option value='3!'>3部リーグランダム";
$html_gmpract.="<option value='' selected>ランダム";
#--------------------------------------#
# 戦績
#--------------------------------------#
$html_result="<table>\n<tr><th>時間</th><th colspan=3>先攻チーム</th><th>結果</th><th colspan=3>後攻チーム</th></tr>\n";
$GAME_LIST=array();
$sql=mysql_query("SELECT * FROM game");
while($GAME=mysql_fetch_assoc($sql)){
	$GAME_LIST[$GAME[id]]=1;
}
krsort($GAME_LIST);
$n=0;
foreach($GAME_LIST as $time=>$val){
	$GAME=read_data('game',$time);
	$PD=read_data('player',$GAME[pid]);
	$OD=read_data('player',$GAME[oid]);
	$html_flag_urlP=icon_url($PD[5]);$html_flag_urlO=icon_url($OD[5]);
	$html_result.="<tr style='text-align:center;'><td style='text-align:left;'>".html_time($time,2)."</td><td>";
	if($GAME[ppt]>$GAME[opt]){
		$html_result.="○";
	}elseif($GAME[ppt]<$GAME[opt]){
		$html_result.="●";
	}else{
		$html_result.="△";
	}
	$html_result.="</td><td>$PD[1]</td><td><img src='$html_flag_urlP' height=$SET[icon_h_m] title='$PD[1]'></td>";
	#戦績表示
	$filename='game'.$time.'.html';
	if(file_exists($filename)){
		$html_result.="<td><a href='$filename' target='_blank'><b>$GAME[ppt]-$GAME[opt]</b></a></td>";
	}else{
		$html_result.="<td><b>$GAME[ppt]-$GAME[opt]</b></td>";
	}
	$html_result.="<td>$OD[1]</td><td><img src='$html_flag_urlO' height=$SET[icon_h_m] title='$OD[1]'></td><td>";
	if($GAME[ppt]>$GAME[opt]){
		$html_result.="●";
	}elseif($GAME[ppt]<$GAME[opt]){
		$html_result.="○";
	}else{
		$html_result.="△";
	}
	$html_result.="</td></tr>\n";
	$n++;
	if($n>=10){break;}
}
$html_result.="</table>\n";
#--------------------------------------#
# 打撃練習
#--------------------------------------#
$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
while ($CD=mysql_fetch_assoc($sql)){
	$CD=ch_growth($CD);
	#投手表示
	if($CD[1] == 'P'){
		$html_prbt_pc.="<option value='$CD[id]'>$CD[0]&nbsp;$CD[2]&nbsp;".ch_st($CD[21],1).ch_st($CD[22],1).ch_st($CD[23],1)."&nbsp;";
		if($CD[2]=='R'){
			if($CD[24]>0){$html_prbt_pc.="←".ch_st($CD[24],1);}
			if($CD[25]>0){$html_prbt_pc.="／".ch_st($CD[25],1);}
			if($CD[26]>0){$html_prbt_pc.="↓".ch_st($CD[26],1);}
			if($CD[27]>0){$html_prbt_pc.="＼".ch_st($CD[27],1);}
			if($CD[28]>0){$html_prbt_pc.="→".ch_st($CD[28],1);}
		}elseif($CD[2]=='L'){
			if($CD[28]>0){$html_prbt_pc.="←".ch_st($CD[28],1);}
			if($CD[27]>0){$html_prbt_pc.="／".ch_st($CD[27],1);}
			if($CD[26]>0){$html_prbt_pc.="↓".ch_st($CD[26],1);}
			if($CD[25]>0){$html_prbt_pc.="＼".ch_st($CD[25],1);}
			if($CD[24]>0){$html_prbt_pc.="→".ch_st($CD[24],1);}
		}
		$html_prbt_pc.="\n";
	}
	#打者表示
	$html_prbt_bt="<option value='$CD[id]'>$CD[0]($CD[1])&nbsp;$CD[2]$CD[3]&nbsp;".ch_st($CD[11],1).ch_st($CD[12],1).ch_st($CD[13],1).ch_st($CD[14],1).ch_st($CD[15],1).ch_st($CD[16],1).ch_st($CD[17],1)."\n";
	if($CD[1] == 'P'){
		$html_prbt_btp.=$html_prbt_bt;
	}else{
		$html_prbt_btb.=$html_prbt_bt;
	}
}
#表示
$html_prbt_b='';
if(!$PL[7]){
	$html_prbt_b="<a href='$SET[path_index]?r=team_reg'>試合登録</a>を済ませてください";
}elseif($html_prbt_pc&&($html_prbt_btp||$html_prbt_btb)){
	$html_prbt_b="<input type=submit value='打撃練習開始'>";
}
if($html_prbt_pc){
	$html_prbt_pc="<select name='pc'><option value=''>ランダム\n$html_prbt_pc</select>";
}else{
	$html_prbt_pc="投手カードが存在しません";
}
if(($html_prbt_btp||$html_prbt_btb)){
	$html_prbt_bt="<select name='bt'><option value=''>ランダム\n$html_prbt_btb$html_prbt_btp</select>";
}else{
	$html_prbt_bt="打者カードが存在しません";
}
#--------------------------------------#
#時間取得
$html_time=time();
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>公式戦</b><blockquote>
<font size=5>第$TIME[no]回大会</font>(最大試合数：$TIME[num]/$SET[gm_num_max])<br>
<table><tr><form method=POST action="$SET[path_index]"><td style="text-align:center;">
$html_gmnext
</td></tr><tr><td style="text-align:center;">
$html_gmbt
</td><input type=hidden name=r value="game_official"></form></tr></table><br>
<b>最近10試合の戦績</b><br>
$html_result
</blockquote>
<b>練習試合</b><blockquote>
<table><form method=POST action="$SET[path_index]"><tr><td>
<select name="ol_id">$html_gmpract</select><input type=submit value="試合開始">
</td><input type=hidden name=r value="game_practice">
<input type=hidden name=time value=$html_time></form></tr><tr><form method=POST action="$SET[path_index]"><td>
<a href='$SET[path_index]?r=team_result_pcp' target='_blank'>個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_btp' target='_blank'>個人成績(野手)</a><br>
<input type=submit value="練習試合データ初期化">
<input type=checkbox name="ch_b" value="1" checked>打者<input type=checkbox name="ch_p" value="1" checked>投手
</td><input type=hidden name=r value="team_resultp_reset"></form></tr></table>
</blockquote>
<b>投球/打撃練習</b><blockquote>
<table><form method=POST action="$SET[path_index]"><tr><td>
$html_prbt_pc &nbsp;vs&nbsp;$html_prbt_bt<br>
$html_prbt_b<br>
</td><input type=hidden name=r value="game_prbt">
<input type=hidden name=time value=$html_time></form></tr><tr><form method=POST action="$SET[path_index]"><td>
<a href='$SET[path_index]?r=team_result_pcpp' target='_blank'>個人成績(投手)</a>&nbsp;/&nbsp;<a href='$SET[path_index]?r=team_result_btpp' target='_blank'>個人成績(野手)</a><br>
<input type=submit value="打撃練習データ初期化">
<input type=checkbox name="ch_b" value="1" checked>打者<input type=checkbox name="ch_p" value="1" checked>投手<br>
※ランダムにすると自動で成績の存在しない選手の練習を行います。<br>
※打者・投手どちらもランダムはできません。<br>
</td><input type=hidden name=r value="team_resultpp_reset"></form></tr></table>
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>